// Wait for page to load before JS runs
  window.onload=function(){

    //###
    // Variables
    //###

        // how many clicks we have - our cash
        var clicks = 0;

        // how many "Bisson Bonus Clicks" we have - the more we have the more clicks we get
        var bonusBissonClicks = 0;

        // a "boolean" variable - true or false - allows us to "buy" or not buy based on how many clicks (cash) we have
        // initially we CAN'T buy Bisson Bonus Clicks as we don't have the clicks (cash)
        var canBuyBonusBissonClicks = false;

        // how much does a bonusBissonClick cost?
        var bonusBissonClickCost = 10;

        // how many autoclickers do we have?
        var autoClickers = 0;





    //###
    // Initial scoreboard update
    //###

        // initial scoreboard update with no score
        document.getElementById('scoreboard').innerHTML="Clicks: "+clicks+" | Bonus Bisson Clicks: "+bonusBissonClicks+" | Auto-clickers: "+autoClickers;





    //###
    // Event listeners for user interface - create the ability to "click" on design elements
    //###


        // event listener for the clickable asset - the main image you click
        document.getElementById('clickImage').addEventListener("click", processClick);

        // event listener for the Bisson Bonus Clicks
        document.getElementById('bonusBissonClicks').addEventListener("click", buyBonusBissonClicks);





    //###
    // Functions
    //###

        // the function that takes user input and processes
        function processClick(){
          // increase clicks by 1 (that is what the ++ means)
          // for statement will go through a loop and add clicks - the more "bonusBissonClicks", the more the clicks you get
          for(i=0;i<=bonusBissonClicks;i++){
            clicks++;
          }
          // Update scoreboard after click
          document.getElementById('scoreboard').innerHTML="Clicks: "+clicks+" | Bonus Bisson Clicks: "+bonusBissonClicks+" | Auto-clickers: "+autoClickers;
          // Make Bonus Bisson Clicks "available" through opacity change, cange cursor to pointer to show interactive ability
          if(clicks>bonusBissonClickCost){
            document.getElementById('bonusBissonClicks').style.opacity=1;
            document.getElementById('bonusBissonClicks').style.cursor="pointer";
            canBuyBonusBissonClicks = true;
          }
          // Make autockicker "available" through opacity change, cange cursor to pointer to show interactive ability
          // THIS IS HIDDEN FOR TODAY
          if(clicks>49){
            document.getElementById('autoClicker').style.opacity=1;
            document.getElementById('autoClicker').style.cursor="pointer";
          }
        // end of processClick function
        }



        // start of function to buy "Bisson Bonus Clicks"
        function buyBonusBissonClicks(){
          if(canBuyBonusBissonClicks===true){
              clicks = clicks - bonusBissonClickCost;
              bonusBissonClicks++;
              document.getElementById('scoreboard').innerHTML="Clicks: "+clicks+" | Bonus Bisson Clicks: "+bonusBissonClicks+" | Auto-clickers: "+autoClickers;
              if(clicks<bonusBissonClickCost){
                document.getElementById('bonusBissonClicks').style.opacity=.2;
                document.getElementById('bonusBissonClicks').style.cursor="default";
                canBuyBonusBissonClicks = false;
              }
          }
        // end of buyBonusBissonClicks function
        }




    
    //###
    // End of the file
    //###


// end of window.onload top of file
}
